<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin>
   <extension
         point="org.eclipse.core.variables.valueVariables">
      <variable
            description="Path to Perl executable in the local file system"
            name="perlExecutable"
            initialValue="c:\perl\bin\perl.exe"/>
   </extension>
   <extension
         point="org.eclipse.debug.core.launchConfigurationTypes">
      <launchConfigurationType
            sourceLocatorId="qvt.sourceLocator"
            delegate="de.ikv.medini.qvt.debug.core.launcher.QVTLaunchDelegate"
            sourcePathComputerId="qvt.sourcePathComputer"
            name="QVT Application"
            id="qvt.launchType"
            modes="run, debug"/>
   </extension>

   <extension
         point="org.eclipse.debug.core.sourceLocators">
      <sourceLocator
            class="de.ikv.medini.qvt.debug.core.sourcelookup.QVTSourceLookupDirector"
            name="QVT Source Locator"
            id="qvt.sourceLocator"/>
   </extension>
   <extension
         point="org.eclipse.debug.core.sourcePathComputers">
      <sourcePathComputer
            class="de.ikv.medini.qvt.debug.core.sourcelookup.QVTSourcePathComputerDelegate"
            id="qvt.sourcePathComputer"/>
   </extension>
    
   <extension
         point="org.eclipse.debug.core.breakpoints">
      <breakpoint
            class="de.ikv.medini.qvt.debug.core.breakpoints.QVTLineBreakpoint"
            name="QVT Line Breakpoints"
            markerType="de.ikv.medini.qvt.debug.core.qvt.markerType.lineBreakpoint"
            id="qvt.lineBreakpoint"/>
      <breakpoint
            class="de.ikv.medini.qvt.debug.core.breakpoints.QVTWatchpoint"
            name="QVT Watchpoints"
            markerType="de.ikv.medini.qvt.debug.core.qvt.markerType.watchpoint"
            id="qvt.watchpoint"/>
   </extension>
   
   <extension
         point="org.eclipse.debug.core.watchExpressionDelegates">
      <watchExpressionDelegate
            debugModel="qvt.debugModel"
            delegateClass="de.ikv.medini.qvt.debug.core.eval.WatchExpressionDelegate"/>
   </extension>
   <extension
         id="qvt.markerType.lineBreakpoint"
         name="QVT Line Breakpoint Marker"
         point="org.eclipse.core.resources.markers">
      <super type="org.eclipse.debug.core.lineBreakpointMarker"/>
      <persistent value="true"/>
   </extension>
   <extension
         id="qvt.markerType.watchpoint"
         name="QVT Watchpoint Marker"
         point="org.eclipse.core.resources.markers">
      <super type="de.ikv.medini.qvt.debug.core.qvt.markerType.lineBreakpoint"/>
      <persistent value="true"/>
   </extension>
<!--
   <extension
         point="org.eclipse.debug.core.logicalStructureTypes">
      <logicalStructureType
            class="de.ikv.medini.qvt.debug.core.model.WordStructureDelegate"
            description="Words"
            id="qvt.wordStructure"
            modelIdentifier="qvt.debugModel"/>
   </extension>
   -->
</plugin>
